<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_utility_dashboard($value){
		$value = (array) $value;
	$original_value = get_option('hautility-option-04-utility'); // 元の値を保持

	/*** ウィジェットのタイトル① ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['dashboard-widget-title-01'] ) && is_string( $value['dashboard-widget-title-01'] ) ) {
		$value['dashboard-widget-title-01'] = sanitize_text_field( $value['dashboard-widget-title-01'] ); // サニタイズ
	} else {
		if ( isset( $original_value['dashboard-widget-title-01'] ) ) {
			$value['dashboard-widget-title-01'] = $original_value['dashboard-widget-title-01']; // 元の値を保持
		} else {
			$value['dashboard-widget-title-01'] = '';
		}
	}

	/*** ウィジェットのタイトル② ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['dashboard-widget-title-02'] ) && is_string( $value['dashboard-widget-title-02'] ) ) {
		$value['dashboard-widget-title-02'] = sanitize_text_field( $value['dashboard-widget-title-02'] ); // サニタイズ
	} else {
		if ( isset( $original_value['dashboard-widget-title-02'] ) ) {
			$value['dashboard-widget-title-02'] = $original_value['dashboard-widget-title-02']; // 元の値を保持
		} else {
			$value['dashboard-widget-title-02'] = '';
		}
	}

	/*** ブロックウィジェットを停止する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['disable-block-wedget'] ) && $value['disable-block-wedget'] === '1' ) {
		$value['disable-block-wedget'] = '1'; // 明示的に '1' を設定
	} else {
		$value['disable-block-wedget'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** 最終更新投稿リスト ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['add-mod-post-widget'] ) && $value['add-mod-post-widget'] === '1' ) {
		$value['add-mod-post-widget'] = '1'; // 明示的に '1' を設定
	} else {
		$value['add-mod-post-widget'] = ''; // チェックされていない場合は空文字を設定
	}




	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}